PYSOLFC(6)

NAME
PySolFC - a collection of more than 1000 solitaire games

SYNOPSIS
pysol.py [OPTION]... [FILE]

DESCRIPTION
PySolFC is a collection of more than 1000 solitaire card games. It stands for PySol Fan Club Edition, as it is a fork of (the now unmaintained) PySol Solitaire.

There are games that use the 52 card International Pattern deck, games for the 78 card Tarock deck, eight and ten suit Ganjifa games, Hanafuda games, Matrix games, Mahjongg games, and games for an original hexadecimal-based deck.

Its features include modern look and feel (uses Ttk widget set), multiple cardsets and tableau backgrounds, sound, unlimited undo, player statistics, a hint system, demo games, a solitaire wizard, support for user written plug-ins, an integrated HTML help browser, and lots of documentation.

The integrated help browser can be started by pressin <F1> after the program has launched.

PySolFC is written in 100% pure Python and runs out-of-the-box on Unix (X11), MS Windows and Mac OS X platforms.

OPTIONS

Available options:

-g, --game=GAMENAME
    start game GAMENAME (Klondike, etc.)

-i, --gameid=GAMEID

--french-only

--sound-mod=MOD
    MOD - sound mode, one of following: `pss' (pysol sound server), `pygame' (default), `oss' (open sound system), `win' (MS Windows)

--nosound
    disable sound support

--noplugins
    disable load plugins

-h, --help
    display help message and exit

FILE - optional file name of a saved game

FILES
PySolFC searches its data files in a number of directories including:
the current directory
/usr/share/PySolFC
/usr/local/share/PySolFC
/usr/games/PySolFC
/usr/local/games/PySolFC

Options are saved in ~/.PySolFC/options.cfg

Statistics and logs are saved in ~/.PySolFC/statistics.dat

Comments are indexed in ~/.PySolFC/comments.dat

Savegames are searched in ~/.PySolFC/savegames/

Additional plugins are searched in ~/.PySolFC/plugins/

Additional cardsets are searched in ~/.PySolFC/cardsets/

Additional table tiles are searched in ~/.PySolFC/tiles/

Additional music songs are searched in ~/.PySolFC/music/

ENVIRONMENT
HOME is used for finding the users home directory.

USER and LOGNAME are used for getting the initial name of the player.

Additional cardsets are searched according to the path variable PYSOL_CARDSETS. You can specify multiple directories.

Additional table tiles are searched according to the path variable PYSOL_TILES. You can specify multiple directories.

Additional music songs are searched according to the path variable PYSOL_MUSIC. You can specify multiple directories.

DIAGNOSTICS
Exit status is normally 0.

SEE ALSO
python(1)

ace_solitaire, freecell, gnome-freecell, kabale, klondike, kpat, seahaven, sol, spider, tksol, xfreecell, xpat2, xsol

BUGS
Please report all bugs immediately to the author.

AUTHOR
Markus F.X.J. Oberhumer <markus@oberhumer.com>

T. Kirk

Skomoroh <skomoroh@users.sourceforge.net>

Brian Lenihan <brianl@users.sourceforge.net>

http://pysolfc.sourceforge.net/

COPYRIGHT
PySolFC is

Copyright (C) 1998-2003 Markus Franz Xaver Johannes Oberhumer

Copyright (C) 2003 Mt. Hood Playing Card Co.

Copyright (C) 2005-2011 Skomoroh

All Rights Reserved.

PySolFC is distributed under the terms of the GNU General Public License Version 3 or later (GPLv3)